## analog 6.0

=== Makefile ===
# This Makefile is only provided for convenience if no options need to
# be passed. You should usually edit src/Makefile and run make from the
# src/ directory.

PROGRAM = analog

$(PROGRAM): ALWAYS
	cd src && make

clean:
	cd src && make clean

ALWAYS:

=== src/Makefile ===
# Makefile for analog 6.0
# Please read docs/Readme.html, or http://www.analog.cx/
# This is a general Unix-like Makefile: Makefiles for other OS's can be found
#   in the "build" directory.
CC = gcc           # which compiler to use: eg cc, acc, gcc. NB Different
#                    compilers need different CFLAGS, e.g., -O instead of -O2.
MAKE = make        # which "make" to use
CFLAGS = -O2    # options, e.g. for optimisation or ANSI compilation.
#                 Some OS's need -D_FILE_OFFSET_BITS=64 to support files > 2MB.
#                 HP/UX cc needs CFLAGS = -Aa (HP/UX 9) or -Ae (HP/UX 10)
#                 BeOS needs CFLAGS = -O2 -Wl,-L/boot/home/config/lib
#                 BS2000/OSD needs CFLAGS = -XLLML -XLLMK
#                 NeXTSTEP needs CFLAGS = -O2 -pipe -no-precomp 
DEFS =          # any combination of -DNOPIPES -DNODNS -DNODIRENT -DNOGLOB ...
#                 ... -DNOOPEN -DNOFOLLOW -DNOALARM -DNOGRAPHICS -DNOGMTIME ...
#                 ... -DEBCDIC -DUSE_PLAIN_SETJMP ...
#                 ... -DHAVE_GD -DHAVE_ZLIB -DHAVE_BZLIB -DHAVE_PCRE ...
#                 ... -DNEED_STRCMP -DNEED_MEMMOVE -DNEED_STRTOUL ...
#                 ... -DNEED_DIFFTIME -DHAVE_ADDR_T -DNEED_FLOATINGPOINT_H
#                 All the options are explained at the bottom of this file.
#
#                 Solaris 2 (SunOS 5+) might need DEFS = -DNEED_STRCMP
#                 SunOS 4 usually needs...
#   DEFS = -DNEED_MEMMOVE -DNEED_STRTOUL -DNEED_DIFFTIME -DNEED_FLOATINGPOINT_H
#                 64-bit Solaris and Tru64 version 5+ need DEFS = -DHAVE_ADDR_T
#                 SCO OpenServer 5 needs DEFS = -DPATH_MAX=2048
#                 BeOS 5.0.3 or below needs DEFS = -DNODNS
#                 DYNIX/ptx needs DEFS = -D_SOCKET_VERSION=11
#                 MPE/iX needs DEFS = -D_POSIX_SOURCE -D_SOCKET_SOURCE
#
OS = UNIX         # Operating system: UNIX, DOS, WIN32, MAC, OS2, OSX, VMS
#                   RISCOS, BEOS, NEXTSTEP, MPEIX, BS2000, AS400, OS390
LIBS = -lm  # extra libraries needed; most platforms (but not OS X or BeOS)
#               need -lm LAST
#             if you defined HAVE_GD above you also need -lgd -lpng -ljpeg -lz
#             if you defined HAVE_ZLIB above you also need -lz
#             if you defined HAVE_BZLIB above you also need -lbz2
#             if you defined HAVE_PCRE above you also need -lpcre
#        Also Solaris 2 (SunOS 5+) needs LIBS = -lnsl -lm
#             SCO Unix needs LIBS = -lsocket -lm
#             IRIX needs LIBS = -lc -lm
#             Windows compilers probably need LIBS = -lwsock32 -lm
#             BeOS 5.0.3 or below needs LIBS = -lnet -lglob; 5.0.4 or above
#             needs LIBS = -lbind -lglob; and install libglob from BeBits.com
#             OS/2 with EMX needs LIBS = -lsocket -lm
#             BS2000/OSD needs LIBS = -lsocket -lm
#             MPE/iX needs LIBS = -lsocket -lm
#             SVR4 needs LIBS = -lsocket -lnsl -lm
#             DYNIX/ptx needs LIBS = -L/usr/lib/bsd-socket -lsocket -lnsl -lm

PROGRAM = analog
TARGET = ../analog
OBJS = alias.o analog.o cache.o dates.o globals.o hash.o init.o init2.o \
	input.o macinput.o macstuff.o output.o output2.o outcro.o outhtml.o \
	outlatex.o outplain.o outxhtml.o outxml.o process.o settings.o sort.o \
	tree.o utils.o win32.o
SUBDIRS = bzip2 libgd libpng pcre unzip zlib
SUBDIROBJS = libgd/gd.o  libgd/gd_io.o libgd/gd_io_file.o libgd/gd_png.o \
	libgd/gdfontf.o libgd/gdfonts.o libgd/gdtables.o \
	libpng/png.o libpng/pngerror.o libpng/pngmem.o libpng/pngset.o \
	libpng/pngtrans.o libpng/pngwio.o libpng/pngwrite.o \
	libpng/pngwtran.o libpng/pngwutil.o pcre/pcre.o \
	zlib/adler32.o zlib/compress.o zlib/crc32.o zlib/deflate.o \
	zlib/gzio.o zlib/infblock.o zlib/infcodes.o zlib/inffast.o \
	zlib/inflate.o zlib/inftrees.o zlib/infutil.o zlib/trees.o \
	zlib/uncompr.o zlib/zutil.o unzip/ioapi.o unzip/unzip.o \
	bzip2/bzlib.o bzip2/blocksort.o bzip2/compress.o bzip2/crctable.o \
	bzip2/decompress.o bzip2/huffman.o bzip2/randtable.o
HEADERS = anlghead.h anlghea2.h anlghea3.h anlghea4.h macdir.h \
	pcre/pcre.h libgd/gd.h libgd/gdfontf.h libgd/gdfonts.h unzip/unzip.h \
	zlib/zlib.h bzip2/bzlib.h
ALLCFLAGS = $(CFLAGS) $(DEFS) -D$(OS)
ALLOBJS = $(OBJS) $(SUBDIROBJS)

$(PROGRAM): $(OBJS) $(SUBDIRS) $(HEADERS) Makefile
	$(CC) $(CFLAGS) -o $(TARGET) $(ALLOBJS) $(LIBS)

# There doesn't seem to be a good way to write all these rules in a generic
# form that works for all "make" programs
bzip2: ALWAYS
	cd bzip2 && $(MAKE) 'CC=$(CC)' 'ALLCFLAGS=$(ALLCFLAGS)'

libgd: ALWAYS
	cd libgd && $(MAKE) 'CC=$(CC)' 'ALLCFLAGS=$(ALLCFLAGS)'

libpng: ALWAYS
	cd libpng && $(MAKE) 'CC=$(CC)' 'ALLCFLAGS=$(ALLCFLAGS)'

pcre: ALWAYS
	cd pcre && $(MAKE) 'CC=$(CC)' 'ALLCFLAGS=$(ALLCFLAGS)'

unzip: ALWAYS
	cd unzip && $(MAKE) 'CC=$(CC)' 'ALLCFLAGS=$(ALLCFLAGS)'

zlib: ALWAYS
	cd zlib && $(MAKE) 'CC=$(CC)' 'ALLCFLAGS=$(ALLCFLAGS)'

alias.o: alias.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c alias.c

analog.o: analog.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c analog.c

cache.o: cache.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c cache.c

dates.o: dates.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c dates.c

globals.o: globals.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c globals.c

hash.o: hash.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c hash.c

init.o: init.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c init.c

init2.o: init2.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c init2.c

input.o: input.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c input.c

macinput.o: macinput.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c macinput.c

macstuff.o: macstuff.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c macstuff.c

output.o: output.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c output.c

output2.o: output2.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c output2.c

outcro.o: outcro.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c outcro.c

outhtml.o: outhtml.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c outhtml.c

outlatex.o: outlatex.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c outlatex.c

outplain.o: outplain.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c outplain.c

outxhtml.o: outxhtml.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c outxhtml.c

outxml.o: outxml.c outxml.h $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c outxml.c

process.o: process.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c process.c

settings.o: settings.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c settings.c

sort.o: sort.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c sort.c

tree.o: tree.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c tree.c

utils.o: utils.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c utils.c

win32.o: win32.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c win32.c

force:
	rm -f $(ALLOBJS)
	make $(PROGRAM) 'CFLAGS=$(CFLAGS)' 'LIBS=$(LIBS)' \
	'DEFS=$(DEFS)' 'CC=$(CC)'

clean:
	rm -f $(ALLOBJS) $(TARGET) *~ */*~

ALWAYS:

# OK, here's the details on all the DEFS options, in case anyone needs to know.
# NOPIPES excludes non-ANSI functions popen() and pclose(). You will lose the
#   UNCOMPRESS command.
# NODNS excludes all the DNS lookup code. This is platform-dependent, but
#   typically involves header files <net*.h> and functions like inet_addr()
#   and gethostbyaddr().
# NODIRENT stops you using wildcards in logfile names. This code is also
#   platform-dependent. But under Unix, the header file <glob.h> and function
#   glob() from POSIX.2 are used; _unless_ NOGLOB is defined, in which case
#   the header file <dirent.h> and functions stat(), opendir(), readdir() and
#   closedir() are used instead. In this latter case, you can't use wildcards
#   in directory names.
# NOOPEN excludes non-ANSI functions open() and fdopen(). This results in an
#   alternative, less safe locking mechanism for DNS files and cache files.
# NOFOLLOW omits code including the functions realpath(), access() and stat()
#   and the header file <unistd.h> and possibly <sys/param.h>. Analog won't
#   then follow symbolic links when guessing path names.
# NOALARM omits code including the function alarm() and the header file
#   <unistd.h>. You will lose the ability to set a DNS timeout.
#
# ** If all of the above are defined only features defined in ANSI C are used.
#
# NOGRAPHICS omits the code for generating pie charts, including all of libgd
#   and libpng.
# HAVE_GD means you already have libgd (at least version 1.8), libpng, libjpeg
#   and zlib, and you want to use your version of these libraries not
#   mine. This is likely to reduce the size of the binary. Also you will gain
#   the JPEGCHARTS command. You will also need to include
#   "-lgd -lpng -ljpeg -lz" in the LIBS above.
# HAVE_ZLIB means you already have zlib, and you want to use your version not
#   mine. This is likely to reduce the size of the binary. You will also need
#   to include "-lz" in the LIBS above.
# HAVE_BZLIB means you already have bzlib, and you want to use your version not
#   mine. This is likely to reduce the size of the binary. You will also need
#   to include "-lbz2" in the LIBS above.
# HAVE_PCRE means you already have libpcre, and you want to use your version
#   not mine. This is likely to reduce the size of the binary.
#   You will also need to include "-lpcre" in the LIBS.
# EBCDIC is needed if your server uses the EBCDIC character set, not ASCII.
# USE_PLAIN_SETJMP uses ANSI setjmp() instead of POSIX sigsetjmp().
# NEED_STRCMP, NEED_MEMMOVE, NEED_STRTOUL and NEED_DIFFTIME provide
#   replacements for standard functions missing on some systems.
# NOGMTIME doesn't use the gmtime() function.
# NEED_FLOATINGPOINT_H includes a header file called <floatingpoint.h>.
# HAVE_ADDR_T is needed if inet_addr() returns in_addr_t which is not the
#   same as unsigned long.

=== src/bzip2/Makefile ===
# Makefile for analog 6.0, zlib subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = bzlib.h bzlib_private.h
OBJS = bzlib.o blocksort.o compress.o crctable.o decompress.o huffman.o \
	randtable.o

all: $(OBJS)

bzlib.o: bzlib.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c bzlib.c

blocksort.o: blocksort.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c blocksort.c

compress.o: compress.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c compress.c

crctable.o: crctable.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c crctable.c

decompress.o: decompress.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c decompress.c

huffman.o: huffman.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c huffman.c

randtable.o: randtable.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c randtable.c

clean:
	rm -f *.o *~

=== src/libgd/Makefile ===
# Makefile for analog 6.0, libgd subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = gd.h gd_io.h gdfontf.h gdfonts.h ../zlib/zlib.h ../libpng/png.h
OBJS = gd.o gd_io.o gd_io_file.o gd_png.o gdfontf.o gdfonts.o gdtables.o

all: $(OBJS)

gd.o: gd.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd.c

gd_io.o: gd_io.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd_io.c

gd_io_file.o: gd_io_file.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd_io_file.c

gd_png.o: gd_png.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gd_png.c

gdfontf.o: gdfontf.c $(HEADERS) gdfontf.h Makefile
	$(CC) $(ALLCFLAGS) -c gdfontf.c

gdfonts.o: gdfonts.c $(HEADERS) gdfonts.h Makefile
	$(CC) $(ALLCFLAGS) -c gdfonts.c

gdtables.o: gdtables.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gdtables.c

clean:
	rm -f *.o *~

=== src/libpng/Makefile ===
# Makefile for analog 6.0, libpng subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = png.h pngconf.h ../zlib/zlib.h
OBJS = png.o pngerror.o pngmem.o pngset.o pngtrans.o pngwio.o pngwrite.o \
	pngwtran.o pngwutil.o

all: $(OBJS)

png.o: png.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c png.c

pngerror.o: pngerror.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngerror.c

pngmem.o: pngmem.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngmem.c

pngset.o: pngset.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngset.c

pngtrans.o: pngtrans.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngtrans.c

pngwio.o: pngwio.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwio.c

pngwrite.o: pngwrite.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwrite.c

pngwtran.o: pngwtran.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwtran.c

pngwutil.o: pngwutil.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwutil.c

clean:
	rm -f *.o *~

=== src/pcre/Makefile ===
# Makefile for analog 6.0, pcre subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = pcre.h pcrechar.h pcreintl.h
OBJS = pcre.o

all: $(OBJS)

pcre.o: pcre.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c pcre.c

clean:
	rm -f *.o *~

=== src/zlib/Makefile ===
# Makefile for analog 6.0, zlib subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = deflate.h infblock.h infcodes.h inffast.h inffixed.h inftrees.h \
	infutil.h trees.h zconf.h zlib.h zutil.h
OBJS = adler32.o compress.o crc32.o deflate.o gzio.o infblock.o infcodes.o \
	inffast.o inflate.o inftrees.o infutil.o trees.o uncompr.o zutil.o

all: $(OBJS)

adler32.o: adler32.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c adler32.c

compress.o: compress.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c compress.c

crc32.o: crc32.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c crc32.c

deflate.o: deflate.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c deflate.c

gzio.o: gzio.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c gzio.c

infblock.o: infblock.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c infblock.c

infcodes.o: infcodes.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c infcodes.c

inffast.o: inffast.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c inffast.c

inflate.o: inflate.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c inflate.c

inftrees.o: inftrees.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c inftrees.c

infutil.o: infutil.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c infutil.c

trees.o: trees.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c trees.c

uncompr.o: uncompr.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c uncompr.c

zutil.o: zutil.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -c zutil.c

clean:
	rm -f *.o *~

=== debian/changelog ===
analog (2:6.0-23) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Updated Vcs-* fields.
      - Bumped Standards-Version to 4.6.0.1.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/rules:
      - Removed 'export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed'
        line. No longer needed.
  * debian/salsa-ci.yml: created.
  * debian/tests/control: created to perform trivial CI tests. (LP: #1677701)
  * Fix FTCBFS: Pass cross compiler to Makefile. Thank you Helmut Grohne
    <helmut@subdivi.de>. (Closes: #812231)

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Sun, 13 Feb 2022 15:29:44 -0300

analog (2:6.0-22) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 3.9.8.
  * debian/rules:
      - Add DEB_BUILD_MAINT_OPTIONS to improve hardening.
      - Add DEB_LDFLAGS_MAINT_APPEND to avoid a useless dependency
        against the library's symbols.
  * debian/watch: change the old file by a new with a fake site to
    explain about the current status of the original upstream homepage.
  * Run wrap-and-sort.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Thu, 10 Nov 2016 10:16:12 -0500

analog (2:6.0-21) unstable; urgency=medium

  * QA upload.
  * Build-Depend on libgd-dev.  (Closes: #791850)
  * Fix FTBFS on HURD, thanks to Cyril Roelandt.  (Closes: #674823)
  * debian/patches/02_windows_vista_7.patch: (Closes: #618951)  (LP: #222813)
    add patch by Andrew Glen-Young to recognize Windows 7 and Vista.
  * Patch build system to allow the build date to be set externally,
    and set it to the latest debian/changelog entry for reproducibility.
    Thanks to Dhole.  (Closes: #788752)
  * Ensure hardening flags are used during build.
  * Use source format 3.0 (quilt), stop using quilt directly.
  * Switch to debhelper compat level 9 and simplify d/rules.
  * Bump Standards-Version to 3.9.6.
  * Debconf translations:
    - Indonesian (id) by Mahyuddin Susanto.  (Closes: #658779)
    - Turkish (tr) by Mert Dirik.  (Closes: #759872)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 20:43:25 +0200

analog (2:6.0-20) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Build-Depend on libpng-dev. Closes: #662268
  * Add missing targets to debian/rules: build-{arch,indep}.
  * Bump Standards-Version to 3.9.5.

 -- Emanuele Rocca <ema@debian.org>  Wed, 05 Feb 2014 23:14:24 +0100

analog (2:6.0-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #599864
    - Korean (김종규).  Closes: #632423

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Dec 2011 18:34:50 +0100

analog (2:6.0-19) unstable; urgency=low

  * Add Vcs-* fields.
  * Add 01_bzip_reading.diff. Patch from
    Andrew McCarthy <andrewmc-debian@celt.dias.ie>. Closes: #522277.
  * Update Standards-Version to 3.8.1. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Tue, 07 Apr 2009 20:44:46 +0100

analog (2:6.0-18) unstable; urgency=low

  * Update maintainer email address.
  * Update Standards-Version to 3.8.0 (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Sat, 29 Nov 2008 19:27:48 +0000

analog (2:6.0-17~lenny1) testing-proposed-updates; urgency=low

  * Re-build for lenny.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sat, 22 Nov 2008 13:16:33 +0000

analog (2:6.0-17) unstable; urgency=low

  * Fix pending l10n bugs. Debconf translations:
    - Swedish, (Martin Ågren). Closes: #491529.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 05 Oct 2008 11:38:37 +0100

analog (2:6.0-16) unstable; urgency=low

  * New Maintainer. Closes: #483259
  * Remove wrong Vcs-Git entry.
  * Expand dh rules out to stop lintain complaining.
  * Remove unneeded empty dir and correct README.Debian.
  * Correct doc-base Section to Network/Monitoring.
  * Remove /var/www/analog symlink and add instructions in README.Debian.
  * Remove extra license file.
  * Suggest apache2 not apache.
  * Add quilt patch system.
   + 00_misc_fixes - Changes moved from top srcdir.

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 05 Jun 2008 18:41:46 +0100

analog (2:6.0-15) unstable; urgency=low

  * debhelper 7, rules file minimisation
  * Remove the hack to reorder the libfd dependencies, libgd2-noxpm-dev
    has it the right way around in its substvars now.
  * After 13 years, time to pass this on to someone else. Orphaned the
    package.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 19:37:15 -0400

analog (2:6.0-14) unstable; urgency=low

  * Updated Brazilian Portuguese Translation. Closes: #454593

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 23:04:06 -0500

analog (2:6.0-13) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #450860
  * [Debconf translation updates]
  * French. Closes: #451473
  * German. Closes: #451533
  * Finnish. Closes: #451534
  * Galician. Closes: #451543
  * Japanese. Closes: #451585
  * Italian. Closes: #451609
  * Czech. Closes: #451830
  * Spanish; Castilian. Closes: #452319
  * Basque. Closes: #453276
  * Portuguese. Closes: #453517
  * Vietnamese. Closes: #453653
  * Dutch; Flemish. Closes: #453699
  * Russian. Closes: #453716

  [ Joey Hess ]
  * Don't ignore make clean errors.
  * Add Homepage field and other new fun stuff.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Dec 2007 12:07:52 -0500

analog (2:6.0-12) unstable; urgency=low

  * Support resolving ipv6 addresses in log files. Closes: #422582
  * debhelper v5

 -- Joey Hess <joeyh@debian.org>  Tue, 08 May 2007 15:09:16 -0400

analog (2:6.0-11) unstable; urgency=low


=== debian/control ===
Source: analog
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.9.0),
               libbz2-dev,
               libgd-dev,
               libjpeg-dev,
               libpcre3-dev,
               libpng-dev,
               libz-dev
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.0.1
Homepage: http://www.analog.cx/
Vcs-Git: https://salsa.debian.org/debian/analog.git
Vcs-Browser: https://salsa.debian.org/debian/analog
Rules-Requires-Root: no

Package: analog
Architecture: any
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Suggests: apache2 | httpd, rmagic
Description: web server log analyzer
 Analog is a fast log file processor that generates usage statistic reports
 for web servers.
 .
 Features:
  - Fast: can process millions of lines per minute;
  - Scalable;
  - Flexible: the default output is well suited for many needs but there
    are many options and 32 alternative report styles;
  - Internationalized output;
  - HTML output (compliant with standards);
  - Handles many log file formats;
  - Uses a command-line interface or a web interface.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%b %e %Y %H:%M:%S')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_build:
	# NOTE: settting things to "" makes analog look for config files
	# in the current directory if no path is specified. See anlghead.h
	$(MAKE) DEFS='-DHOSTNAME=\"Debian\ Linux\ System\" \
		-DHOSTURL=\"/\" \
		-DLOGSDIR=\"/var/log/apache/\" \
		-DLOGFILE=\"access.log\" \
		-DIMAGEDIR=\"/analog/\" \
		-DLANGDIR=\"/usr/share/analog/lang/\" \
		-DCACHEDIR=\"/var/cache/analog/\" \
		-DDNSDIR=\"/var/cache/analog/dns/\" \
		-DCONFIGDIR=\"\" \
		-DOUTDIR=\"\" \
		-DERRDIR=\"\" \
		-DHEADERDIR=\"\" \
		-DLOCKDIR=\"/var/lock/\" \
		-DDEFAULTCONFIGFILE=\"/etc/analog.cfg\"' \
		CC=$(CC) \
		analog

override_dh_installdocs:
	dh_installdocs -X Licence.txt

=== debian/tests/control ===
Test-Command: analog --help
Restrictions: superficial, allow-stderr

Test-Command: analog
Restrictions: allow-stderr

## analog 6.0.17

=== src/unzip/Makefile ===
# Makefile for analog 6.0, unzip subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = unzip.h ioapi.h ../zlib/zlib.h
OBJS = ioapi.o unzip.o

all: $(OBJS)

ioapi.o: ioapi.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c ioapi.c

unzip.o: unzip.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) -DNOUNCRYPT $(INCDIRS) -c unzip.c

clean:
	rm -f *.o *~

=== src/build/riscos/Makefile ===
# Makefile for analog 6.0, RISC OS
# Please read docs/Readme.html, or http://www.analog.cx/
#
CC = cc
# which compiler to use: eg cc, acc, gcc. NB Different
# compilers need different CFLAGS, e.g., -O instead of -O2.

CFLAGS = -throwback -Wp -ansi -IC:,TCPIPLibs: -UCOMPAT_INET4 -DMINORVERSION="\"-sb1\""
# options, e.g. for optimisation or ANSI compilation.

DEFS = -DNOUNCRYPT -DBZ_STRICT_ANSI
# -DDEBUGSAFE=1024
# ... -DNOOPEN -DNOPIPES -DNODNS -DNODIRENT 
# ... -DEBCDIC -DNOGMTIME -DNEED_STRCMP -DNEED_MEMMOVE ...
# ... -DNEED_STRTOUL -DNEED_DIFFTIME -DHAVE_ADDR_T ...
# ... -DNEED_FLOATINGPOINT_H
# All the options are explained at the bottom of this file.

OS = RISCOS
# Operating system: UNIX, DOS, WIN32, MAC, OS2, OSX, VMS
#                   RISCOS, BEOS, NEXTSTEP, MPEIX, BS2000, AS400

LIBS = C:o.stubs TCPIPLibs:o.Socklib5 TCPIPLibs:o.Inetlib TCPIPLibs:o.Unixlib
DEPEND=-depend !Depend

OBJS = alias.o analog.o cache.o dates.o globals.o hash.o init.o init2.o \
	input.o output.o output2.o process.o settings.o sort.o tree.o \
	utils.o outcro.o outhtml.o outlatex.o outplain.o outxhtml.o \
	outxml.o

GD_OBJS = libgd.o.gd  libgd.o.gd_io libgd.o.gd_io_file libgd.o.gd_png \
	libgd.o.gdfontf libgd.o.gdfonts libgd.o.gdtables

PNG_OBJS = libpng.o.png libpng.o.pngerror libpng.o.pngmem libpng.o.pngset \
	libpng.o.pngtrans libpng.o.pngwio libpng.o.pngwrite \
	libpng.o.pngwtran libpng.o.pngwutil

ZLIB_OBJS = zlib.o.adler32 zlib.o.compress zlib.o.crc32 zlib.o.deflate \
	zlib.o.gzio zlib.o.infblock zlib.o.infcodes zlib.o.inffast \
	zlib.o.inflate zlib.o.inftrees zlib.o.infutil zlib.o.trees \
	zlib.o.uncompr zlib.o.zutil

PCRE_OBJS = pcre.o.pcre

BZIP2_OBJS = bzip2.o.blocksort bzip2.o.bzlib bzip2.o.compress \
	bzip2.o.crctable bzip2.o.decompress bzip2.o.huffman \
	bzip2.o.randtable

UNZIP_OBJS = unzip.o.ioapi unzip.o.unzip	

.INIT:
	@cdir ^.!Analog
	@cdir o
	@cdir bzip2.o
	@cdir libgd.o
	@cdir libpng.o
	@cdir pcre.o
	@cdir unzip.o
	@cdir zlib.o

all: ^.!Analog.analog

^.!Analog.analog: $(OBJS) $(GD_OBJS) $(PNG_OBJS) $(ZLIB_OBJS) $(PCRE_OBJS) $(BZIP2_OBJS) $(UNZIP_OBJS)
	link -aif -o ^.!Analog.analog $(OBJS) $(GD_OBJS) $(PNG_OBJS) $(ZLIB_OBJS) $(PCRE_OBJS) $(BZIP2_OBJS) $(UNZIP_OBJS) $(LIBS)
	@echo '***'
	@echo '***IMPORTANT: You must read the licence before using analog'
	@echo '***'

.SUFFIXES: .o .c
.c.o:;  $(CC) $(CFLAGS) $(DEPEND) -c $(DEFS) -D$(OS) -o $@ $<

clean:
	-remove ^.!Analog.analog
	-wipe o.* ~v~c

cleanall:
	-remove ^.!Analog.analog
	-wipe o.* ~v~c
	-wipe libgd.o.* ~v~c
	-wipe libpng.o.* ~v~c
	-wipe pcre.o.* ~v~c
	-wipe zlib.o.* ~v~c
	-wipe bzip2.o.* ~v~c
	-wipe unzip.o.* ~v~c

# OK, here's the details on all the DEFS options, in case anyone needs to know.
# NOPIPES excludes non-ANSI functions popen() and pclose(). You will lose the
#   UNCOMPRESS command.
# NODNS excludes all the DNS lookup code. This is platform-dependent, but
#   typically involves header files <net*.h> and functions like inet_addr()
#   and gethostbyaddr().
# NODIRENT stops you using wildcards in logfile names. Again, the code is
#   platform-dependent, but usually the header file <dirent.h> and functions
#   stat(), opendir(), readdir() and closedir() are involved.
# NOOPEN excludes non-ANSI functions open() and fdopen(). This results in an
#   alternative, less safe locking mechanism for DNS files and cache files.
# NOFOLLOW omits code including the functions realpath(), access() and stat()
#   and the header file <unistd.h> and possibly <sys/param.h>. Analog won't
#   then follow symbolic links when guessing path names.
# NOALARM omits code including the function alarm() and the header file
#   <unistd.h>. You will lose the ability to set a DNS timeout.
#
# ** If all of the above are defined only features defined in ANSI C are used.
#
# NOGRAPHICS omits the code for generating pie charts, including all of libgd,
#   libpng and zlib.
# HAVE_GD means you already have libgd, libpng and zlib, and you want to use
#   your version not mine. This is likely to reduce the size of the binary.
#   You will also need to include "-lgd -lpng -lz" in the LIBS.
# HAVE_PCRE means you already have libpcre, and you want to use your version
#   not mine. This is likely to reduce the size of the binary.
#   You will also need to include "-lpcre" in the LIBS.
# EBCDIC is needed if your server uses the EBCDIC character set, not ASCII.
# USE_PLAIN_SETJMP uses ANSI setjmp() instead of POSIX sigsetjmp().
# NEED_STRCMP, NEED_MEMMOVE, NEED_STRTOUL and NEED_DIFFTIME provide
#   replacements for standard functions missing on some systems.
# NOGMTIME doesn't use the gmtime() function.
# NEED_FLOATINGPOINT_H includes a header file called <floatingpoint.h>.
# HAVE_ADDR_T is needed if inet_addr() returns in_addr_t which is not the
#   same as unsigned long.

# Dynamic dependencies:

=== debian/changelog ===
analog (2:6.0.17-3) unstable; urgency=medium

  * debian/analog.lintian-overrides: added to override warning about
    documentation outside /usr/share/doc. The files are not documentation.
  * debian/config: removed old package check, version 2:5.23-3.
  * debian/copyright: fix spelling error.
  * debian/lang/*: added UTF-8 language files, which were converted with iconv
    from the upstream lang directory. Consequently:
      - debian/install: changed to install UTF-8 language files from
        debian/lang directory.
      - debian/README.Debian: added explanation about debian/lang directory.
  * debian/po/de.po: changed to UTF-8 text encoding.
  * debian/po/pt_BR.po: changed to UTF-8 text encoding.
  * debian/po/sv.po: changed to UTF-8 text encoding.
  * debian/watch: updated.

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Wed, 16 Nov 2022 15:29:59 -0600

analog (2:6.0.17-2) unstable; urgency=medium

  * New maintainer. (Closes: #674866)
  * debian/control: bumped Std-Ver to 4.6.1.
  * debian/patches/06_fix-pcre-version.patch: created to make analog work with
    new version of PCRE. (Closes: #999917)

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Fri, 05 Aug 2022 22:54:31 -0500

analog (2:6.0.17-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #698359) (LP: #905313) Consequently:
      - debian/analog.cfg: created.
      - debian/control: updated Homepage field. (Closes: #974671)
      - debian/install: modified to install debian/analog.cfg.
      - debian/patches:
          ~ 00_misc_fixes.diff renamed to 01_misc_fixes.patch and updated.
          ~ 01_bzip_reading.diff renamed to 02_bzip_reading.patch and updated.
          ~ 02_fix_realpath_calls.diff renamed to 03_fix_realpath_calls.patch
            and updated.
          ~ 02_windows_vista_7.patch removed. No longer needed.
          ~ 04_reproducible.patch updated.
      - debian/upstream/metadata: created.
      - debian/watch: updated.
  * debian/rules: using SOURCE_DATE_EPOCH variable, instead of parsing
    the output of dpkg-parsechangelog.

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Sat, 30 Apr 2022 08:52:05 -0300

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                libbz2-dev,
                libgd-dev,
                libjpeg-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libpng-dev,
                libz-dev
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.6.0.1
-Homepage: http://www.analog.cx/
+Maintainer: Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>
+Standards-Version: 4.6.1
+Homepage: https://www.c-amie.co.uk/software/analog
 Vcs-Git: https://salsa.debian.org/debian/analog.git
 Vcs-Browser: https://salsa.debian.org/debian/analog
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE = 1
 
 include /usr/share/dpkg/architecture.mk
-export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%b %e %Y %H:%M:%S')
+include  /usr/share/dpkg/pkg-info.mk
+export BUILD_DATE = $(SOURCE_DATE_EPOCH)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifeq ($(origin CC),default)

=== debian/watch ===
version=4

https://github.com/c-amie/analog-ce/tags/ .*/v?@ANY_VERSION@@ARCHIVE_EXT@
